app1/urls.py
from django.urls import path
from .views import matkul_list, matkul_create, home, matkul_json

urlpatterns = [
    path('', home, name='schedule'),
    path('matkul-list/', matkul_list, name='list-matkul'),
    path('create-matkul/', matkul_create, name='create-matkul'),
    path('json/', matkul_json, name='json'),
    
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path("register", views.register_request, name="register"),
    path("login", views.login_request, name="login"),
    path("logout", views.logout_request, name= "logout"),
]

midtermprojectPBP_F03/urls.py
from os import stat
from django.contrib import admin
from django.urls import include, path
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('to-do-list/', include('to_do_list.urls')),
    path('info-pendidikan/', include('info_pendidikan.urls')),
    path('EventApp/', include('app7_EventApp.urls')),
    path('covid-data/', include('covid_data.urls')),
    path('add-forum/', include('forum.urls')),
    path('susun-jadwal-matkul/', include('app1.urls')),
    path('quiz-of-pandemic/', include('quizes.urls'))
]

urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

quizes/urls.py
from django.urls import path
from .views import (
    QuizViewList,
    quiz_view,
    quiz_data_view,
    save_quiz_view,
)

app_name = 'quizes'

urlpatterns = [
    path('', QuizViewList.as_view(), name='main-view'),
    path('<pk>/', quiz_view, name='quiz-view'),
    path('<pk>/save/', save_quiz_view, name='save-view'),
    path('<pk>/data/', quiz_data_view, name='quiz-data-view'),
]

main/models.py
from django.db import models

# Create your models here.

main/forms.py
from django import forms
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User


# Create your forms here.

class NewUserForm(UserCreationForm):
	email = forms.EmailField(required=True)

	class Meta:
		model = User
		fields = ("username", "email", "password1", "password2")

	def save(self, commit=True):
		user = super(NewUserForm, self).save(commit=False)
		user.email = self.cleaned_data['email']
		if commit:
			user.save()
		return user

main/views.py
from django.shortcuts import render, redirect
from .forms import NewUserForm
from django.contrib.auth import login
from django.contrib import messages
from django.contrib.auth.forms import AuthenticationForm
from django.contrib.auth import login, authenticate, logout


def home(request):
    return render(request, 'main/home.html')

def register_request(request):
	if request.method == "POST":
		form = NewUserForm(request.POST)
		if form.is_valid():
			user = form.save()
			login(request, user)
			messages.success(request, "Registration successful." )
			return redirect("main:home")
		messages.error(request, "Unsuccessful registration. Invalid information.")
	form = NewUserForm()
	return render (request=request, template_name="main/register.html", context={"register_form":form})

def login_request(request):
	if request.method == "POST":
		form = AuthenticationForm(request, data=request.POST)
		if form.is_valid():
			username = form.cleaned_data.get('username')
			password = form.cleaned_data.get('password')
			user = authenticate(username=username, password=password)
			if user is not None:
				login(request, user)
				messages.info(request, f"You are now logged in as {username}.")
				return redirect("main:home")
			else:
				messages.error(request,"Invalid username or password.")
		else:
			messages.error(request,"Invalid username or password.")
	form = AuthenticationForm()
	return render(request=request, template_name="main/login.html", context={"login_form":form})

def logout_request(request):
	logout(request)
	messages.info(request, "You have successfully logged out.") 
	return redirect("main:home")

main/templates/main/home.html
<!DOCTYPE html>
{% extends 'base.html' %}
{% load static %}
{%block content%}
{% url 'EventApp' as Scheduler %}
{% url 'info_pendidikan' as info_pendidikan %}
{% url 'index' as to-do-list %}


  <link rel="stylesheet" href="{% static 'style.css' %}">
  <link href='https://fonts.googleapis.com/css?family=Poppins' rel='stylesheet'>
  <style>
    h3 {
      margin: 20px;
      text-align: center;
      font-size: x-large;
    }
    h1 {
      margin: 20px;
      font-weight: bold;
      text-align: center;
    }
    .pengertian {
      margin: auto;
      width: 50%;
    }
    #kiri {
      border-radius: 30px;
      margin:12px auto;
      color: white;
      height: 60px;
      font-size: 20px;
      padding-top: 1rem;
      margin-left: 100px;
      margin-right: 10px;
    }
    #kanan {
      border-radius: 30px;
      margin:12px auto;
      color: white;
      height: 60px;
      font-size: 20px;
      padding-top: 1rem;
      margin-right: 100px;
    }
    #div-donasi {
      border: 3px;
      border-style: solid;
      border-radius: 30px;
      border-color: #8BA6B9;
      width: 50%;
      margin: auto;
    }
    #carouselExampleControls {
      width:640px;
      height:360px;
      margin: auto;
      border-radius: 30px;
      overflow: hidden;
    }
  </style>
    <div class="pengertian" style="text-align: center;">
      <h1 class="judul-div">Corona, apa itu?</h1>
      <p id = "desc-corona">Corona merupakan virus yang menyebabkan penyakit pada manusia dan hewan. Biasanya menyebabkan penyakit infeksi saluran pernapasan pada manusia, 
        mulai flu biasa hingga penyakit yang serius seperti MERS (Middle East Respiratory Syndrome) 
        dan SARS (Severe Acute Respiratory Syndrome).</p>
      <a href="https://www.google.com/search?q=corona&oq=corona&aqs=chrome..69i57j35i39j0i67i433i457j0i67l2j69i60l3.1485j0j7&sourceid=chrome&ie=UTF-8" target="_blank" style="color: #8BA6B9;"><p style="margin-top: 10px;">Find out more</p></a>
      <h1 class="judul-div">About our website</h1>
    </div>

  </div>
  
  <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
    <div class="carousel-inner">
      <div class="carousel-item active">
        <div class="row">
          <img class=img_protokol src="{%static 'Forum Pandemi.png' %}">
        </div>
      </div>
      <div class="carousel-item">
        <div class="row">
          <img class=img_protokol src="{%static 'Scheduler.png' %}">
        </div>
      </div>
      <div class="carousel-item">
        <div class="row">
          <img class=img_protokol src="{%static 'Recent Education.png' %}">
        </div>
      </div>
      <div class="carousel-item">
        <div class="row">
          <img class=img_protokol src="{%static 'Covid Data.png' %}">
        </div>
      </div>
      <div class="carousel-item">
        <div class="row">
          <img class=img_protokol src="{%static 'Pandemic Quiz.png' %}">
        </div>
      </div>
      <div class="carousel-item">
        <div class="row">
          <img class=img_protokol src="{%static 'To Do.png' %}">
        </div>
      </div>
      <div class="carousel-item">
        <div class="row">
          <img class=img_protokol src="{%static 'Susun Jadwal.png' %}">
        </div>
      </div>
      <a class="carousel-control-prev"  href="#carouselExampleControls" role="button" data-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="sr-only">Previous</span>
      </a>
      <a class="carousel-control-next"  href="#carouselExampleControls" role="button" data-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="sr-only">Next</span>
      </a>
    </div>
  </div>

  <div class="container judul-div" style="text-align: center; margin-top: 20px;">
    <div class="row">
      <div id="kiri" class="col-sm" style="background-color: cadetblue;">
        <a href="{%url 'button' %}" style="text-decoration: none; color: black;"><div class="nama-fitur tua">Forum Pandemi</div></a> 
      </div>
      <div id="kanan" class="col-sm" style="background-color: powderblue;">
        <a href="{%url 'covid_data' %}" style="text-decoration: none; color: black;"><div class="nama-fitur muda">Covid-19 Data</div></a>
      </div>
    </div>
    <div class="row">
      <div id="kiri" class="col-sm" style="background-color: powderblue;">
        <a href="{%url 'index' %}" style="text-decoration: none; color: black;"><div class="nama-fitur muda">To-do List</div></a> 
      </div>
      <div id="kanan" class="col-sm" style="background-color: cadetblue;">
        <a href="{%url 'info_pendidikan' %}" style="text-decoration: none; color: black;"><div class="nama-fitur tua">Recent Education</div></a>
      </div>
    </div>
    <div class="row">
      <div id="kiri" class="col-sm" style="background-color: cadetblue;">
        <a href="{%url 'quizes:main-view' %}" style="text-decoration: none; color: black;"><div class="nama-fitur muda">Pandemic Quiz</div></a> 
      </div>
      <div id="kanan" class="col-sm" style="background-color: powderblue;">
        <a href="{%url 'EventApp' %}" style="text-decoration: none; color: black;"><div class="nama-fitur tua">Scheduler</div></a>
      </div>
    </div>
  </div>
</div>

<div id="div-donasi" style="text-align: center; margin-top: 20px;">
    <h1 id="judul-donasi">yuk susun jadwal!</h1>
    <p>mulai mengorganisir jadwal kamu,<br>
        hidup teratur bagai papan catur.
        </p>
        <a href="{%url 'schedule' %}" class=link><p id="klik-donasi" >klik untuk susun jadwal</p></a>
      </div>
<p style="font-weight: bold; margin: 25px auto; text-align: center; font-size: x-large;">Bersama Kita Jadi Lebih Produktif!</p>

{%endblock%}

main/templates/main/login.html
{% extends "main/home.html" %}

{% block content %}      

{% load crispy_forms_tags %}

<!--Login--> 
<div class="container py-5">
  <h1>Login</h1>
  <form method="POST">
    {% csrf_token %}
    {{ login_form|crispy }}
    <button class="btn btn-primary" type="submit">Login</button>
  </form>
  <p class="text-center">Don't have an account? <a href="/register">Create an account</a>.</p>
</div>

{% endblock %}

main/templates/main/register.html
{% extends "main/home.html" %}

{% block content %} 

{% load crispy_forms_tags %}         

<!--Register--> 
<div class="container py-5">
	<h1>Register</h1>
	<form method="POST">
		{% csrf_token %}
		{{ register_form|crispy }}                    
		<button class="btn btn-primary" type="submit">Register</button>
	</form>
	<p class="text-center">If you already have an account, <a href="/login">login</a> instead.</p>
</div>

{% endblock %}